Page MenuHomePhabricator

[scan-view] replace deprecated optparse with argparse
ClosedPublic

Authored by omtcyf0 on Dec 9 2015, 2:11 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

omtcyf0 updated this revision to Diff 42272.Dec 9 2015, 2:11 AM
omtcyf0 retitled this revision from to [scan-view] replace deprecated optparse with argparse.
omtcyf0 updated this object.
omtcyf0 added a reviewer: ddunbar.
omtcyf0 added a subscriber: cfe-commits.
djasper edited edge metadata.Dec 10 2015, 2:28 AM

I know nothing about this code.

jroelofs edited edge metadata.Dec 10 2015, 8:25 AM

Looks reasonable to me from a "I haven't actually tried it with this patch" perspective.

zaks.anna edited edge metadata.Dec 11 2015, 9:13 PM

Overall, looks good!

tools/scan-view/bin/scan-view
94 ↗(On Diff #42272)

Please, add the tool description, like "The clang static analyzer results viewer."

omtcyf0 updated this revision to Diff 42636.Dec 12 2015, 2:04 AM
omtcyf0 edited edge metadata.

Added tool description.

zaks.anna accepted this revision.Dec 14 2015, 2:50 PM
zaks.anna edited edge metadata.
This revision is now accepted and ready to land.Dec 14 2015, 2:50 PM
This revision was automatically updated to reflect the committed changes.